Extending Qt Creator Manual | XcodebuildParser

Extending Qt Creator Manual 4.5.2

# XcodebuildParser Class

(ProjectExplorer::XcodebuildParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Types

enum | XcodebuildStatus { InXcodebuild, OutsideXcodebuild, UnknownXcodebuildState }

## Public Functions

| XcodebuildParser()

## Reimplemented Public Functions

virtual bool | hasFatalErrors() const override
virtual void | stdError(const QString &line) override
virtual void | stdOutput(const QString &line) override

- 9 public functions inherited from ProjectExplorer::IOutputParser

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser
- 1 static public member inherited from ProjectExplorer::IOutputParser

## Member Type Documentation

### enum XcodebuildParser::XcodebuildStatus

## Member Function Documentation

### XcodebuildParser::XcodebuildParser()

Default constructs an instance of XcodebuildParser.

### `[override virtual]` bool XcodebuildParser::hasFatalErrors() const

### `[override virtual]` void XcodebuildParser::stdError(const QString &line)

### `[override virtual]` void XcodebuildParser::stdOutput(const QString &line)